This support article applies to RSVPify 1.0 and 2.0.

RSVPify 1.0
RSVPify 1.0 supports IE8 and above.

RSVPify 2.0
Due to the decreasing IE market share and increasingly smaller number of users still visiting from older browsers like IE9 and below, we made the decision to only support IE10+ in RSVPify 2.0.

Guests visiting from an outdated, unsupported browser will be automatically detected and RSVPify will display a message encouraging your guest to update to a modern browser or to submit their RSVP from a different browser or device.

Did this answer your question?